Begin TOTP enrollment for the session user.
curl --request POST \
--url https://api.symbiosis.markets/auth/totp/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/totp/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/totp/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"otpauth_uri": "<string>",
"secret": "<string>"
}Auth
Begin TOTP enrollment for the session user.
The response is the only time the secret is returned. Nothing is required at login until the secret is confirmed via POST /auth/totp/enable.
POST
/
auth
/
totp
/
setup
Begin TOTP enrollment for the session user.
curl --request POST \
--url https://api.symbiosis.markets/auth/totp/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/totp/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/totp/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"otpauth_uri": "<string>",
"secret": "<string>"
}